const connect = require('connect');
const http = require('http');
const finalhandler = require('finalhandler');
const resizer = require('./');

const app = connect();

app.use(resizer({
  prefix: 't_',
  root: 'public',
  cache: 'public/cache',
  transforms: {
    test(stream) {
      return stream
        .resize(200)
        .normalise()
        .crop();
    }
  }
}));
app.use(function final(req, res) {
  var done = finalhandler(req, res)
  done();
});

http.createServer(app)
  .listen(3000)