import test from 'ava';
import middleware from '../';

test('middleware should be a function', t => {
  t.is(typeof middleware, 'function');
});

test('should throw without options', t => {
  t.throws(middleware);
});

test('should throw without options root option', t => {
  t.throws(() => {
    middleware({
      cache: true
    })
  });
});

test('should throw without options cache option', t => {
  t.throws(() => {
    middleware({
      root: true,
    })
  });
});

test('should not throw with required options', t => {
  t.notThrows(() => {
    middleware({
      root: true,
      cache: true,
    })
  });
});
